Bug 821764 - icoutils: Gnulib bundled but no bundled(gnulib) provides
icoutils: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icoutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:53 EDT by Mikolaj Izdebski
Modified: 2012-05-27 21:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:53:44 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
icoutils. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected icoutils version: icoutils-0.29.1-5.fc17

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
icoutils.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    icoutils-0.29.1.tar.bz2

At least the following files look like Gnulib files:
    ./icoutils-0.29.1/m4/00gnulib.m4
    ./icoutils-0.29.1/m4/gnulib-comp.m4
    ./icoutils-0.29.1/lib/Makefile.in
    ./icoutils-0.29.1/lib/Makefile.am

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Martin Gieseking 2012-05-19 08:34:55 EDT
Thanks for reporting this issue. I've fixed the spec and rebuilt the package.
Comment 2 Fedora Update System 2012-05-19 08:37:43 EDT
icoutils-0.29.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icoutils-0.29.1-6.fc17
Comment 3 Fedora Update System 2012-05-19 14:34:42 EDT
Package icoutils-0.29.1-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icoutils-0.29.1-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8143/icoutils-0.29.1-6.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-27 21:26:44 EDT
icoutils-0.29.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.